net.minecraft.entity.projectile

## Class EntityEgg

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.projectile.EntityThrowable
    - - net.minecraft.entity.projectile.EntityEgg

- All Implemented Interfaces:
    IProjectile

      public class EntityEgg
      extends EntityThrowable

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.projectile.EntityThrowable

      `throwableShake`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityEgg(World par1World)`
    `EntityEgg(World par1World, double par2, double par4, double par6)`
    `EntityEgg(World par1World, EntityLiving par2EntityLiving)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraft.entity.projectile.EntityThrowable

      `getShadowSize, getThrower, isInRangeToRenderDist, onUpdate, readEntityFromNBT, setThrowableHeading, setVelocity, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canAttackWithItem, canBeCollidedWith, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85031_j, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityEgg

          public EntityEgg(World par1World)

    - #### EntityEgg

          public EntityEgg(World par1World,
                   EntityLiving par2EntityLiving)

    - #### EntityEgg

          public EntityEgg(World par1World,
                   double par2,
                   double par4,
                   double par6)